## ros-one-moveit-visual-tools 3.6.1-4jammy.20251027.2154

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(moveit_visual_tools)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  rviz_visual_tools
  tf2_eigen
  geometry_msgs
  moveit_ros_planning
  moveit_core
  roscpp
  tf2_ros
  visualization_msgs
  graph_msgs
  std_msgs
  trajectory_msgs
  cmake_modules
  roslint
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED system)

# Catkin
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    rviz_visual_tools
    moveit_ros_planning
    moveit_core
    geometry_msgs
    visualization_msgs
    graph_msgs
    std_msgs
    trajectory_msgs
  INCLUDE_DIRS include
)

## Build
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}.cpp
  src/imarker_robot_state.cpp
  src/imarker_end_effector.cpp
)
target_compile_options(${PROJECT_NAME} PRIVATE
  -Wall -Wextra -Wwrite-strings -Wunreachable-code -Wpointer-arith -Wredundant-decls)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
add_dependencies(${PROJECT_NAME} graph_msgs_generate_messages_cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Demo executable
add_executable(${PROJECT_NAME}_demo src/${PROJECT_NAME}_demo.cpp)
target_compile_options(${PROJECT_NAME}_demo PRIVATE
  -Wall -Wextra -Wwrite-strings -Wunreachable-code -Wpointer-arith -Wredundant-decls)
target_link_libraries(${PROJECT_NAME}_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)


#############
## Testing ##
#############

## Test for correct C++ source code
roslint_cpp()

#############
## Install ##
#############

# Install libraries
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS ${PROJECT_NAME}_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4jammy.20251027.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 21:54:15 +0000

ros-one-moveit-visual-tools (3.6.1-0jammy) jammy; urgency=high

  * publishTrajectoryLine(): issue error when no end-effector tips are found (#129 <https://github.com/ros-planning/moveit_visual_tools/issues/129>)
  * Fixed possible null-pointer segfault (#95 <https://github.com/ros-planning/moveit_visual_tools/issues/95>)
  * Only set active joints (#84 <https://github.com/ros-planning/moveit_visual_tools/issues/84>)
  * Use specified color for EndEffector marker (#96 <https://github.com/ros-planning/moveit_visual_tools/issues/96>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jochen Sprickerhof, Michael Görner, Robert Haschke, Simon Schmeisser, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, werner291

 -- Dave Coleman <dave@picknik.ai>  Thu, 18 May 2023 00:00:00 -0000

ros-one-moveit-visual-tools (3.6.0-0jammy) jammy; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-moveit-visual-tools (3.5.2-0jammy) jammy; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Mon, 10 Dec 2018 00:00:00 -0000

ros-one-moveit-visual-tools (3.5.1-0jammy) jammy; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-moveit-visual-tools (3.5.0-0jammy) jammy; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-visual-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-visual-tools 3.6.1-4jammy.20251215.2251

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4jammy.20251215.2251) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 15 Dec 2025 22:51:57 +0000

## ros-one-moveit-visual-tools 3.6.1-4jammy.20260128.2217

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4jammy.20260128.2217) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:17:12 +0000

## ros-one-moveit-visual-tools 3.6.1-4jammy.20260302.2156

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4jammy.20260302.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 02 Mar 2026 21:56:55 +0000

## ros-one-moveit-visual-tools 3.6.1-4noble.20251027.2226

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4noble.20251027.2226) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 22:26:35 +0000

ros-one-moveit-visual-tools (3.6.1-0noble) noble; urgency=high

  * publishTrajectoryLine(): issue error when no end-effector tips are found (#129 <https://github.com/ros-planning/moveit_visual_tools/issues/129>)
  * Fixed possible null-pointer segfault (#95 <https://github.com/ros-planning/moveit_visual_tools/issues/95>)
  * Only set active joints (#84 <https://github.com/ros-planning/moveit_visual_tools/issues/84>)
  * Use specified color for EndEffector marker (#96 <https://github.com/ros-planning/moveit_visual_tools/issues/96>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jochen Sprickerhof, Michael Görner, Robert Haschke, Simon Schmeisser, Stephanie Eng, Tyler Weaver, Vatan Aksoy Tezer, werner291

 -- Dave Coleman <dave@picknik.ai>  Thu, 18 May 2023 00:00:00 -0000

ros-one-moveit-visual-tools (3.6.0-0noble) noble; urgency=high

  * [feature] Unified collision environment used (#54 <https://github.com/ros-planning/moveit_visual_tools/issues/54>)
  * [feature] publish cuboids with size (#59 <https://github.com/ros-planning/moveit_visual_tools/issues/59>)
  * [feature] hideRobot(): use new .hide member of DisplayRobotState msg (#56 <https://github.com/ros-planning/moveit_visual_tools/issues/56>)
  * [feature] Use first trajectory point as start state for visualization (#49 <https://github.com/ros-planning/moveit_visual_tools/issues/49>)
  * [feature] exposing the publishers to the user (#48 <https://github.com/ros-planning/moveit_visual_tools/issues/48>)
  * [feature] Highlight selected links in publishRobotState() + improved collision visualization (#45 <https://github.com/ros-planning/moveit_visual_tools/issues/45>)
  * [fix] Update to Noetic and fix various warnings (#79 <https://github.com/ros-planning/moveit_visual_tools/issues/79>)
  * [fix] Fix Eigen alignment (#63 <https://github.com/ros-planning/moveit_visual_tools/issues/63>)
  * [fix] missing end effector markers because clear (#51 <https://github.com/ros-planning/moveit_visual_tools/issues/51>)
  * [fix] Remove #attempts from setFromIK (#43 <https://github.com/ros-planning/moveit_visual_tools/issues/43>)
  * [documentation] Update README.md (#69 <https://github.com/ros-planning/moveit_visual_tools/issues/69>)
  * [documentation] update doc of hideRobot() (#64 <https://github.com/ros-planning/moveit_visual_tools/issues/64>)
  * [maint] add soname version (#74 <https://github.com/ros-planning/moveit_visual_tools/issues/74>)
  * [maint] Replace tf_conversions with tf2's toMsg / fromMsg (#66 <https://github.com/ros-planning/moveit_visual_tools/issues/66>)
  * [maint] fix clang-tidy issue (#68 <https://github.com/ros-planning/moveit_visual_tools/issues/68>)
  * [maint] Cleanup (#65 <https://github.com/ros-planning/moveit_visual_tools/issues/65>)
    * Replace robot_model and robot_state namespaces by moveit::core
    * Fix clang-tidy issues
    * Remove deprecated function
  * [maint] Bump required cmake version (#62 <https://github.com/ros-planning/moveit_visual_tools/issues/62>)
  * [maint] moveit.rosinstall: use master branch for all deps (#57 <https://github.com/ros-planning/moveit_visual_tools/issues/57>)
  * [maint] drop melodic + kinetic support for master branch (#58 <https://github.com/ros-planning/moveit_visual_tools/issues/58>)
  * [maint] Fix Travis config + issues (#47 <https://github.com/ros-planning/moveit_visual_tools/issues/47>)
  * [maint] Change 'MoveIt!' to MoveIt
  * Contributors: Bjar Ne, Dave Coleman, Henning Kayser, Jafar Abdi, Jens P, Mark Moll, Michael Görner, Mike Lautman, Robert Haschke, Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-moveit-visual-tools (3.5.2-0noble) noble; urgency=high

  * Use LOGNAME for named logging (#42 <https://github.com/ros-planning/moveit_visual_tools/issues/42>)
  * Eigen::Affine3d -> Eigen::Isometry3d (#39 <https://github.com/ros-planning/moveit_visual_tools/issues/39>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@picknik.ai>  Mon, 10 Dec 2018 00:00:00 -0000

ros-one-moveit-visual-tools (3.5.1-0noble) noble; urgency=high

  * Adding trigger call to animations when batch_publishing_enabled_ is enabled (#36 <https://github.com/ros-planning/moveit_visual_tools/issues/36>)
  * Contributors: Mike Lautman

 -- Dave Coleman <dave@picknik.ai>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-moveit-visual-tools (3.5.0-0noble) noble; urgency=high

  * Add Markdown ROS Buildfarm badges for Melodic
  * Fixing melodic branch with tf2 updates (#34 <https://github.com/ros-planning/moveit_visual_tools/issues/34>)
  * Additional visualization (#31 <https://github.com/ros-planning/moveit_visual_tools/issues/31>)
    * adding a visualization for publishing a box with width, height, and depth
    * adding additional publishCollisionCuboid method overloads
    * changing x,y,z to width, depth, height
  * Fixup CMakeLists and package.xml (#30 <https://github.com/ros-planning/moveit_visual_tools/issues/30>)
  * Triggering UPDATE_GEOMETRY is sufficient, dont spinOnce
    - triggering UPDATE_SCENE leads to sending a full planning scene including all meshes. For all use-cases in this lib UPDATE_GEOMETRY is sufficient and sends only diffs
    - calling ros::spinOnce() in random places messes up the event queue (e.g. joint state updates being processed in gui thread instead of the async spinner thread)
  * Fix API compatibility by providing a default empty list of end-effector joints
  * Allow setting joint values for end-effector marker
    currently end-effector markers are based on the default robot state (ie all zero),
    this allows passing a vector of doubles for all active joint in the end-effector group
    Passing a new set of joint values will invalidate the cache but for our use-case this is


=== debian/control ===
Source: ros-one-moveit-visual-tools
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-graph-msgs, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-roscpp, ros-one-roslint, ros-one-rviz-visual-tools, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-trajectory-msgs, ros-one-visualization-msgs
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-one-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cmake-modules, ros-one-geometry-msgs, ros-one-graph-msgs, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-roscpp, ros-one-roslint, ros-one-rviz-visual-tools, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-trajectory-msgs, ros-one-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt data in Rviz via published markers

## ros-one-moveit-visual-tools 3.6.1-4noble.20251215.2250

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4noble.20251215.2250) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 15 Dec 2025 22:50:00 +0000

## ros-one-moveit-visual-tools 3.6.1-4noble.20260128.2226

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4noble.20260128.2226) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:26:32 +0000

## ros-one-moveit-visual-tools 3.6.1-4noble.20260302.2221

=== debian/changelog ===
ros-one-moveit-visual-tools (3.6.1-4noble.20260302.2221) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 02 Mar 2026 22:21:26 +0000
